Bug 984800 - (ghc-monad-logger) Review Request: ghc-monad-logger - Monads for logging messages
Review Request: ghc-monad-logger - Monads for logging messages
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ben Boeckel
Fedora Extras Quality Assurance
:
: 923620 (view as bug list)
Depends On:
Blocks: ghc-yesod-core yesod-platform
  Show dependency treegraph
 
Reported: 2013-07-16 00:52 EDT by Jens Petersen
Modified: 2013-08-19 17:26 EDT (History)
5 users (show)

See Also:
Fixed In Version: ghc-attoparsec-conduit-1.0.1.1-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-19 17:26:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mathstuf: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2013-07-16 00:52:08 EDT
Spec URL: http://petersen.fedorapeople.org//ghc-monad-logger.spec
SRPM URL: http://petersen.fedorapeople.org//ghc-monad-logger-0.3.1.1-1.fc19.src.rpm

Description:
This package uses template-haskell for determining source code locations of
messages.
Comment 1 Jens Petersen 2013-07-16 00:52:14 EDT
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=5611520
Comment 2 Jens Petersen 2013-07-16 00:59:39 EDT
*** Bug 923620 has been marked as a duplicate of this bug. ***
Comment 3 Ben Boeckel 2013-07-17 20:26:34 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Static libraries in -static subpackage, if present.
  Note: Archive *.a files found in ghc-monad-logger-devel
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#StaticLibraries


===== MUST items =====

Generic:
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
     Note: Using prebuilt packages (from a koji scratch build)
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
     Note: Using prebuilt rpms.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package does not contain duplicates in %files.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 215040 bytes in 17 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
     Note: Found : Packager: Ben Boeckel <mathstuf@gmail.com>
     See: http://fedoraproject.org/wiki/Packaging:Guidelines#Tags
[x]: Reviewer should test that the package builds in mock (koji).
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: ghc-monad-logger-0.3.1.1-1.fc20.x86_64.rpm
          ghc-monad-logger-devel-0.3.1.1-1.fc20.x86_64.rpm
          ghc-monad-logger-0.3.1.1-1.fc19.src.rpm
ghc-monad-logger.x86_64: W: spelling-error Summary(en_US) Monads -> Gonads, Mona's, Mon ads
ghc-monad-logger.x86_64: W: spelling-error %description -l en_US haskell -> Haskell
ghc-monad-logger.src: W: spelling-error Summary(en_US) Monads -> Gonads, Mona's, Mon ads
ghc-monad-logger.src: W: spelling-error %description -l en_US haskell -> Haskell
3 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
ghc-monad-logger-devel (rpmlib, GLIBC filtered):
    /bin/sh
    ghc(monad-logger-0.3.1.1-d563eacc1b0f4478cee85342b665eb6f)
    ghc-compiler
    ghc-devel(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57)
    ghc-devel(bytestring-0.10.0.2-4f93248f75667c2c3321a7a6761b576f)
    ghc-devel(conduit-1.0.3-ec7ca59ed34ff9b35dbcaf5ab02fcbd0)
    ghc-devel(fast-logger-0.3.1-19d721f19bdb4de8c4c44a968bd17329)
    ghc-devel(monad-control-0.3.2.1-ae94ebee0db8b67fe098e79cdb997ef6)
    ghc-devel(mtl-2.1.2-82086cac9073862cbe01e44b81ec8b9b)
    ghc-devel(resourcet-0.4.6-8296622f1d6e2f65b1154a5d5c64a0b9)
    ghc-devel(template-haskell-2.8.0.0-a3012803fde1dc362e555b35a1a78e6d)
    ghc-devel(text-0.11.3.1-e38859e86485c167fa7c9441789e7607)
    ghc-devel(transformers-0.3.0.0-387c76a892254b0b8fe4d66f4780ad17)
    ghc-devel(transformers-base-0.4.1-c94ebf0095acdcb87db8d034e3e92265)
    ghc-monad-logger(x86-64)

ghc-monad-logger (rpmlib, GLIBC filtered):
    ghc(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57)
    ghc(bytestring-0.10.0.2-4f93248f75667c2c3321a7a6761b576f)
    ghc(conduit-1.0.3-ec7ca59ed34ff9b35dbcaf5ab02fcbd0)
    ghc(fast-logger-0.3.1-19d721f19bdb4de8c4c44a968bd17329)
    ghc(monad-control-0.3.2.1-ae94ebee0db8b67fe098e79cdb997ef6)
    ghc(mtl-2.1.2-82086cac9073862cbe01e44b81ec8b9b)
    ghc(resourcet-0.4.6-8296622f1d6e2f65b1154a5d5c64a0b9)
    ghc(template-haskell-2.8.0.0-a3012803fde1dc362e555b35a1a78e6d)
    ghc(text-0.11.3.1-e38859e86485c167fa7c9441789e7607)
    ghc(transformers-0.3.0.0-387c76a892254b0b8fe4d66f4780ad17)
    ghc(transformers-base-0.4.1-c94ebf0095acdcb87db8d034e3e92265)
    libHSarray-0.4.0.1-ghc7.6.3.so()(64bit)
    libHSbase-4.6.0.1-ghc7.6.3.so()(64bit)
    libHSbase-unicode-symbols-0.2.2.4-ghc7.6.3.so()(64bit)
    libHSblaze-builder-0.3.1.1-ghc7.6.3.so()(64bit)
    libHSbytestring-0.10.0.2-ghc7.6.3.so()(64bit)
    libHSconduit-1.0.3-ghc7.6.3.so()(64bit)
    libHScontainers-0.5.0.0-ghc7.6.3.so()(64bit)
    libHSdate-cache-0.3.0-ghc7.6.3.so()(64bit)
    libHSdeepseq-1.3.0.1-ghc7.6.3.so()(64bit)
    libHSdirectory-1.2.0.1-ghc7.6.3.so()(64bit)
    libHSfast-logger-0.3.1-ghc7.6.3.so()(64bit)
    libHSfilepath-1.3.0.1-ghc7.6.3.so()(64bit)
    libHSghc-prim-0.3.0.0-ghc7.6.3.so()(64bit)
    libHSinteger-gmp-0.5.0.0-ghc7.6.3.so()(64bit)
    libHSlifted-base-0.2.1.0-ghc7.6.3.so()(64bit)
    libHSmonad-control-0.3.2.1-ghc7.6.3.so()(64bit)
    libHSmtl-2.1.2-ghc7.6.3.so()(64bit)
    libHSold-locale-1.0.0.5-ghc7.6.3.so()(64bit)
    libHSold-time-1.1.0.1-ghc7.6.3.so()(64bit)
    libHSpretty-1.1.1.0-ghc7.6.3.so()(64bit)
    libHSresourcet-0.4.6-ghc7.6.3.so()(64bit)
    libHSsemigroups-0.8.5-ghc7.6.3.so()(64bit)
    libHStemplate-haskell-2.8.0.0-ghc7.6.3.so()(64bit)
    libHStext-0.11.3.1-ghc7.6.3.so()(64bit)
    libHStime-1.4.0.1-ghc7.6.3.so()(64bit)
    libHStransformers-0.3.0.0-ghc7.6.3.so()(64bit)
    libHStransformers-base-0.4.1-ghc7.6.3.so()(64bit)
    libHSunix-2.6.0.1-ghc7.6.3.so()(64bit)
    libHSunix-time-0.1.8-ghc7.6.3.so()(64bit)
    libHSvoid-0.5.11-ghc7.6.3.so()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgmp.so.10()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libutil.so.1()(64bit)
    rtld(GNU_HASH)



Provides
--------
ghc-monad-logger-devel:
    ghc-devel(monad-logger-0.3.1.1-d563eacc1b0f4478cee85342b665eb6f)
    ghc-monad-logger-devel
    ghc-monad-logger-devel(x86-64)

ghc-monad-logger:
    ghc(monad-logger-0.3.1.1-d563eacc1b0f4478cee85342b665eb6f)
    ghc-monad-logger
    ghc-monad-logger(x86-64)
    libHSmonad-logger-0.3.1.1-ghc7.6.3.so()(64bit)



Unversioned so-files
--------------------
ghc-monad-logger: /usr/lib64/ghc-7.6.3/monad-logger-0.3.1.1/libHSmonad-logger-0.3.1.1-ghc7.6.3.so

Source checksums
----------------
http://hackage.haskell.org/packages/archive/monad-logger/0.3.1.1/monad-logger-0.3.1.1.tar.gz :
  CHECKSUM(SHA256) this package     : a66f3b938aaa4ae07849cef5df27e17056d0708a6be6e36fa94e36cfa8ab1887
  CHECKSUM(SHA256) upstream package : a66f3b938aaa4ae07849cef5df27e17056d0708a6be6e36fa94e36cfa8ab1887


Generated by fedora-review 0.4.0 (b80cd0f) last change: 2013-07-09
Buildroot used: fedora-rawhide-x86_64
Command line :/home/boeckb/.local/bin/try-fedora-review -n ghc-monad-logger --no-build --cache --prebuilt --rpm-spec
Comment 4 Jens Petersen 2013-07-17 22:10:17 EDT
Thanks Ben


New Package SCM Request
=======================
Package Name: ghc-monad-logger
Short Description: Monads for logging messages
Owners: petersen
Branches: f19 f18 el6
InitialCC: haskell-sig
Comment 5 Gwyn Ciesla 2013-07-18 08:03:32 EDT
Git done (by process-git-requests).
Comment 6 Jens Petersen 2013-07-19 01:54:53 EDT
imported to master
Comment 7 Fedora Update System 2013-07-20 11:03:37 EDT
ghc-monad-logger-0.3.1.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ghc-monad-logger-0.3.1.1-1.fc19
Comment 8 Fedora Update System 2013-07-20 23:40:52 EDT
ghc-attoparsec-conduit-1.0.1.1-1.fc19, ghc-conduit-1.0.2-2.fc19, ghc-resourcet-0.4.5-2.fc19, ghc-wai-1.4.0-2.fc19, ghc-network-conduit-1.0.0-1.fc19, ghc-monad-logger-0.3.1.1-1.fc19, ghc-zlib-conduit-1.0.0-1.fc19, ghc-wai-logger-0.3.0-4.fc19, ghc-warp-1.3.7.4-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ghc-conduit-1.0.2-2.fc19,ghc-resourcet-0.4.5-2.fc19,ghc-wai-1.4.0-2.fc19,ghc-network-conduit-1.0.0-1.fc19,ghc-attoparsec-conduit-1.0.1.1-1.fc19,ghc-monad-logger-0.3.1.1-1.fc19,ghc-zlib-conduit-1.0.0-1.fc19,ghc-wai-logger-0.3.0-4.fc19,ghc-warp-1.3.7.4-2.fc19
Comment 9 Fedora Update System 2013-07-21 20:30:37 EDT
Package ghc-attoparsec-conduit-1.0.1.1-1.fc19, ghc-conduit-1.0.2-2.fc19, ghc-resourcet-0.4.5-2.fc19, ghc-wai-1.4.0-2.fc19, ghc-network-conduit-1.0.0-1.fc19, ghc-monad-logger-0.3.1.1-1.fc19, ghc-zlib-conduit-1.0.0-1.fc19, ghc-wai-logger-0.3.0-4.fc19, ghc-warp-1.3.7.4-2.fc19, ghc-wai-extra-1.3.2.4-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ghc-attoparsec-conduit-1.0.1.1-1.fc19 ghc-conduit-1.0.2-2.fc19 ghc-resourcet-0.4.5-2.fc19 ghc-wai-1.4.0-2.fc19 ghc-network-conduit-1.0.0-1.fc19 ghc-monad-logger-0.3.1.1-1.fc19 ghc-zlib-conduit-1.0.0-1.fc19 ghc-wai-logger-0.3.0-4.fc19 ghc-warp-1.3.7.4-2.fc19 ghc-wai-extra-1.3.2.4-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13329/ghc-conduit-1.0.2-2.fc19,ghc-resourcet-0.4.5-2.fc19,ghc-wai-1.4.0-2.fc19,ghc-network-conduit-1.0.0-1.fc19,ghc-attoparsec-conduit-1.0.1.1-1.fc19,ghc-monad-logger-0.3.1.1-1.fc19,ghc-zlib-conduit-1.0.0-1.fc19,ghc-wai-logger-0.3.0-4.fc19,ghc-warp-1.3.7.4-2.fc19,ghc-wai-extra-1.3.2.4-2.fc19
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2013-08-01 23:43:44 EDT
Package ghc-attoparsec-conduit-1.0.1.1-1.fc19, ghc-conduit-1.0.2-2.fc19, ghc-resourcet-0.4.5-2.fc19, ghc-wai-1.4.0-2.fc19, ghc-network-conduit-1.0.0-1.fc19, ghc-monad-logger-0.3.1.1-1.fc19, ghc-zlib-conduit-1.0.0-1.fc19, ghc-wai-logger-0.3.0-4.fc19, ghc-warp-1.3.7.4-2.fc19, ghc-wai-extra-1.3.2.4-2.fc19, ghc-blaze-builder-conduit-1.0.0-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ghc-attoparsec-conduit-1.0.1.1-1.fc19 ghc-conduit-1.0.2-2.fc19 ghc-resourcet-0.4.5-2.fc19 ghc-wai-1.4.0-2.fc19 ghc-network-conduit-1.0.0-1.fc19 ghc-monad-logger-0.3.1.1-1.fc19 ghc-zlib-conduit-1.0.0-1.fc19 ghc-wai-logger-0.3.0-4.fc19 ghc-warp-1.3.7.4-2.fc19 ghc-wai-extra-1.3.2.4-2.fc19 ghc-blaze-builder-conduit-1.0.0-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13329/ghc-conduit-1.0.2-2.fc19,ghc-resourcet-0.4.5-2.fc19,ghc-wai-1.4.0-2.fc19,ghc-network-conduit-1.0.0-1.fc19,ghc-attoparsec-conduit-1.0.1.1-1.fc19,ghc-monad-logger-0.3.1.1-1.fc19,ghc-zlib-conduit-1.0.0-1.fc19,ghc-wai-logger-0.3.0-4.fc19,ghc-warp-1.3.7.4-2.fc19,ghc-wai-extra-1.3.2.4-2.fc19,ghc-blaze-builder-conduit-1.0.0-2.fc19
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2013-08-19 17:26:11 EDT
ghc-attoparsec-conduit-1.0.1.1-1.fc19, ghc-conduit-1.0.2-2.fc19, ghc-resourcet-0.4.5-2.fc19, ghc-wai-1.4.0-2.fc19, ghc-network-conduit-1.0.0-1.fc19, ghc-monad-logger-0.3.1.1-1.fc19, ghc-zlib-conduit-1.0.0-1.fc19, ghc-wai-logger-0.3.0-4.fc19, ghc-warp-1.3.7.4-2.fc19, ghc-wai-extra-1.3.2.4-2.fc19, ghc-blaze-builder-conduit-1.0.0-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.